#!/bin/bash

echo "***** INSTALL NIX PACKAGES *****"

NIX_ENV="$HOME/.nix-profile/bin/nix-env"

if [ -x "$NIX_ENV" ]; then
	"$NIX_ENV" -iA nixpkgs.bat
	"$NIX_ENV" -iA nixpkgs.fd
	"$NIX_ENV" -iA nixpkgs.fish
	"$NIX_ENV" -iA nixpkgs.neovim
	"$NIX_ENV" -iA nixpkgs.ripgrep
	"$NIX_ENV" -iA nixpkgs.tree
	"$NIX_ENV" -iA nixpkgs.gitAndTools.diff-so-fancy
else
	echo "Cannot install Nix packages! $NIX_ENV is not executable."
fi

echo
